at.chipkarte.client.base.soap

## Class VertragsDaten

- Object
- - at.chipkarte.client.base.soap.VertragsDaten

-     public class VertragsDaten
      extends Object

  Enthält Daten zum Vertrag eines Vertragspartners.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertragsDaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBezBereich()` Bezugsbereich des Vertrags.
    `String` | `getFachGebietsCode()` Fachgebietscode für den Vertrag, siehe auch `getFachgebiete()`.
    `String` | `getLeistungsSVT()` Code des leistungszuständigen Krankenversicherungsträgers für den Vertrag, siehe auch `getSVTs()`.
    `String` | `getOrdId()` Ordinations-Id derjenigen Ordination, an die der Vertrag gebunden ist.
    `String` | `getTaetigkeitsBereichId()` Kennzeichnung des Tätigkeitsbereichs, an den der Vertrag gebunden ist.
    `String` | `getVerrechnungsSVT()` Code des verrechnungszuständigen Krankenversicherungsträgers für den Vertrag.
    `String` | `getVertragsTyp()` Typ des Vertrags.
    `Boolean` | `isKonsultationsrecht()` Angabe, ob für den Vertrag das Konsultationsrecht besteht.
    `Boolean` | `isRezepturrecht()` Angabe, ob für den Vertrag das Rezepturrecht besteht.
    `void` | `setBezBereich(String bezBereich)`
    `void` | `setFachGebietsCode(String fachGebietsCode)`
    `void` | `setKonsultationsrecht(Boolean konsultationsrecht)`
    `void` | `setLeistungsSVT(String leistungsSVT)`
    `void` | `setOrdId(String ordId)`
    `void` | `setRezepturrecht(Boolean rezepturrecht)`
    `void` | `setTaetigkeitsBereichId(String taetigkeitsBereichId)`
    `void` | `setVerrechnungsSVT(String verrechnungssvt)`
    `void` | `setVertragsTyp(String vertragsTyp)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VertragsDaten

          public VertragsDaten()

  - ### Method Detail

    - #### isKonsultationsrecht

          public Boolean isKonsultationsrecht()

      Angabe, ob für den Vertrag das Konsultationsrecht besteht.
      Wenn nein, können mit diesem Vertrag keine Konsultationen durchgeführt werden.
      Returns:
        Konsultationsrecht

    - #### isRezepturrecht

          public Boolean isRezepturrecht()

      Angabe, ob für den Vertrag das Rezepturrecht besteht.
      Wenn nein, wird eine ABS Bewilligungsanfrage abgelehnt.
      Returns:
        Rezepturrecht

    - #### getVerrechnungsSVT

          public String getVerrechnungsSVT()

      Code des verrechnungszuständigen Krankenversicherungsträgers für den Vertrag.
      Format: 2-stellig
      Returns:
        verrechnungszuständiger Krankenversicherungsträger

    - #### setKonsultationsrecht

          public void setKonsultationsrecht(Boolean konsultationsrecht)

    - #### setRezepturrecht

          public void setRezepturrecht(Boolean rezepturrecht)

    - #### setVerrechnungsSVT

          public void setVerrechnungsSVT(String verrechnungssvt)

    - #### getLeistungsSVT

          public String getLeistungsSVT()

      Code des leistungszuständigen Krankenversicherungsträgers für den Vertrag, siehe auch `getSVTs()`.
      Format: 2-stellig
      Returns:
        leistungszuständiger Krankenversicherungsträger

    - #### setLeistungsSVT

          public void setLeistungsSVT(String leistungsSVT)

    - #### getFachGebietsCode

          public String getFachGebietsCode()

      Fachgebietscode für den Vertrag, siehe auch `getFachgebiete()`.
      Format: 2-stellig
      Returns:
        Fachgebietscode

    - #### setFachGebietsCode

          public void setFachGebietsCode(String fachGebietsCode)

    - #### getBezBereich

          public String getBezBereich()

      Bezugsbereich des Vertrags.
      Mögliche Werte: `Bezugsbereich`.
      Returns:
        Bezugsbereich

    - #### setBezBereich

          public void setBezBereich(String bezBereich)

    - #### getVertragsTyp

          public String getVertragsTyp()

      Typ des Vertrags.
      Mögliche Werte: siehe `Vertragstyp`.
      Returns:
        Vertragstyp

    - #### setVertragsTyp

          public void setVertragsTyp(String vertragsTyp)

    - #### getOrdId

          public String getOrdId()

      Ordinations-Id derjenigen Ordination, an die der Vertrag gebunden ist.
      Returns:
        Ordinations-Id

    - #### setOrdId

          public void setOrdId(String ordId)

    - #### getTaetigkeitsBereichId

          public String getTaetigkeitsBereichId()

      Kennzeichnung des Tätigkeitsbereichs, an den der Vertrag gebunden ist.
      Returns:
        Kennzeichnung des Tätigkeitsbereichs.

    - #### setTaetigkeitsBereichId

          public void setTaetigkeitsBereichId(String taetigkeitsBereichId)